import request from '@/utils/request'

export function listGuest(query) {
  return request({
    url: '/customer-guest/page',
    method: 'get',
    params: query
  })
}

export function createGuest(data) {
  return request({
    url: '/customer-guest/add',
    method: 'post',
    data
  })
}

export function readGuest(data) {
  return request({
    url: '/customer-guest/info',
    method: 'get',
    data
  })
}

export function updateGuest(data) {
  return request({
    url: '/customer-guest/edit',
    method: 'post',
    data
  })
}

export function deleteGuest(query) {
  return request({
    url: '/customer-guest/remove',
    method: 'post',
    params: query
  })
}

export function setState(query) {
  return request({
    url: '/customer-guest/updateStatus',
    method: 'post',
    params: query
  })
}
